"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatchMaking = void 0;
/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
const zod_1 = require("zod");
const MatchingAlly_js_1 = require("./MatchingAlly.js");
exports.MatchMaking = zod_1.z.object({
    channel: zod_1.z.string(),
    client_version: zod_1.z.string(),
    created_at: zod_1.z.string(),
    deployment: zod_1.z.string(),
    event: zod_1.z.string(),
    game_mode: zod_1.z.string(),
    joinable: zod_1.z.boolean().nullish(),
    match_id: zod_1.z.string(),
    matching_allies: zod_1.z.array(MatchingAlly_js_1.MatchingAlly),
    namespace: zod_1.z.string(),
    party_attributes: zod_1.z.record(zod_1.z.any()),
    party_id: zod_1.z.string().nullish(),
    queued_at: zod_1.z.number().int(),
    region: zod_1.z.string(),
    server_name: zod_1.z.string(),
    status: zod_1.z.string(),
    sub_game_mode: zod_1.z.array(zod_1.z.string())
});
