import { z } from 'zod';
export declare const MatchingParty: z.ZodObject<{
    match_attributes: z.ZodObject<{
        first_ticket_created_at: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        first_ticket_created_at: number;
    }, {
        first_ticket_created_at: number;
    }>;
    party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
    party_id: z.ZodString;
    party_members: z.ZodArray<z.ZodObject<{
        extra_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
        user_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        user_id: string;
        extra_attributes: Record<string, any>;
    }, {
        user_id: string;
        extra_attributes: Record<string, any>;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    match_attributes: {
        first_ticket_created_at: number;
    };
    party_attributes: Record<string, any>;
    party_id: string;
    party_members: {
        user_id: string;
        extra_attributes: Record<string, any>;
    }[];
}, {
    match_attributes: {
        first_ticket_created_at: number;
    };
    party_attributes: Record<string, any>;
    party_id: string;
    party_members: {
        user_id: string;
        extra_attributes: Record<string, any>;
    }[];
}>;
export interface MatchingParty extends z.TypeOf<typeof MatchingParty> {
}
