"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
const zod_1 = require("zod");
const StatusHistory_js_1 = require("./StatusHistory.js");
exports.Server = zod_1.z.object({
    allocation_id: zod_1.z.string(),
    alternate_ips: zod_1.z.array(zod_1.z.string()),
    cpu_limit: zod_1.z.number().int(),
    cpu_request: zod_1.z.string(),
    deployment: zod_1.z.string(),
    game_version: zod_1.z.string(),
    image_version: zod_1.z.string(),
    ip: zod_1.z.string(),
    is_override_game_version: zod_1.z.boolean(),
    last_update: zod_1.z.string(),
    mem_limit: zod_1.z.number().int(),
    mem_request: zod_1.z.string(),
    namespace: zod_1.z.string(),
    params: zod_1.z.string(),
    pod_name: zod_1.z.string(),
    port: zod_1.z.number().int(),
    ports: zod_1.z.record(zod_1.z.number().int()),
    provider: zod_1.z.string(),
    region: zod_1.z.string(),
    session_id: zod_1.z.string(),
    status: zod_1.z.string(),
    status_history: zod_1.z.array(StatusHistory_js_1.StatusHistory)
});
