/**
 * AUTO GENERATED
 */
import { IResponse, IResponseWithSync } from '@accelbyte/sdk';
import { AxiosInstance } from 'axios';
import { AddPlayerRequest } from '../definitions/AddPlayerRequest.js';
import { AddPlayerResponse } from '../definitions/AddPlayerResponse.js';
import { CreateSessionRequest } from '../definitions/CreateSessionRequest.js';
import { JoinGameSessionRequest } from '../definitions/JoinGameSessionRequest.js';
import { RecentPlayerQueryResponse } from '../definitions/RecentPlayerQueryResponse.js';
import { SessionByUserIDsResponse } from '../definitions/SessionByUserIDsResponse.js';
import { SessionQueryResponse } from '../definitions/SessionQueryResponse.js';
import { SessionResponse } from '../definitions/SessionResponse.js';
import { UpdateSessionRequest } from '../definitions/UpdateSessionRequest.js';
import { UpdateSettingsRequest } from '../definitions/UpdateSettingsRequest.js';
export declare class Session$ {
    private axiosInstance;
    private namespace;
    private cache;
    constructor(axiosInstance: AxiosInstance, namespace: string, cache?: boolean);
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [READ] Required scope: social Query available game session
     */
    getGamesession(queryParams: {
        session_type: string | null;
        game_mode?: string | null;
        game_version?: string | null;
        joinable?: string | null;
        limit?: number;
        match_exist?: string | null;
        match_id?: string | null;
        offset?: number;
        server_status?: string | null;
        user_id?: string | null;
    }): Promise<IResponseWithSync<SessionQueryResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [CREATE] Required scope: social This end point intended to be called directly by P2P game client host or by DSMC
     */
    createGamesession(data: CreateSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [READ] Required scope: social Query game sessions by comma separated user ids
     */
    getGamesessionBulk(queryParams: {
        user_ids: string | null;
    }): Promise<IResponseWithSync<SessionByUserIDsResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:RECENTPLAYER [READ] Required scope: social Query recent player by user ID
     */
    getRecentplayer_ByUserId(userID: string): Promise<IResponseWithSync<RecentPlayerQueryResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [DELETE] Required scope: social Delete the session (p2p) by session ID
     */
    deleteGamesession_BySessionId(sessionID: string): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [READ] Required scope: social Get the session by session ID
     */
    getGamesession_BySessionId(sessionID: string): Promise<IResponseWithSync<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [UPDATE] Required scope: social Update game session, used to update the current player
     */
    updateGamesession_BySessionId(sessionID: string, data: UpdateSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [READ] Required scope: social Join the specified session by session ID. Possible the game required a password to join
     */
    createJoin_BySessionId(sessionID: string, data: JoinGameSessionRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [UPDATE] Required scope: social Add player to game session
     */
    createPlayer_BySessionId(sessionID: string, data: AddPlayerRequest): Promise<IResponse<AddPlayerResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [DELETE] Required scope: social Only use for local DS entry, will error when calling non local DS entry
     */
    deleteLocald_BySessionId(sessionID: string): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [UPDATE] Required scope: social Update game session, used to update OtherSettings
     */
    updateSetting_BySessionId(sessionID: string, data: UpdateSettingsRequest): Promise<IResponse<SessionResponse>>;
    /**
     * Required permission: NAMESPACE:{namespace}:SESSIONBROWSER:SESSION [UPDATE] Required scope: social Remove player from game session
     */
    deletePlayer_BySessionId_ByUserId(sessionID: string, userID: string): Promise<IResponse<AddPlayerResponse>>;
}
